#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long long v,x,c=0,s=0;
    cin>>v;
    while (v>0)
    {
        x=v%10;
        v=v/10;
        if (x==1)
            c=1;
        if (x==2)
            c=1;
        if (x==3)
            c=2;
        if (x==4)
            c=2;
        if (x==5)
            c=1;
        if (x==6)
            c=2;
        if (x==7)
            c=2;
        if (x==8)
            c=3;
        if (x==9)
            c=3;
        if (x==0)
            c=0;
        s=s+c;
    }
    cout<<s;

    return 0;
}